Bug 1953703 - Inconsistent usage of Tech preview badge in OCS plugin of OCP Console
Summary: Inconsistent usage of Tech preview badge in OCS plugin of OCP Console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Ankush Behl
QA Contact: Pratik Surve
URL:
Whiteboard:
Depends On:
Blocks: 1959356
TreeView+ depends on / blocked
 
Reported: 2021-04-26 17:09 UTC by Martin Bukatovic
Modified: 2021-07-27 23:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1959356 (view as bug list)
Environment:
Last Closed: 2021-07-27 23:04:01 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot #1: artiber feature without the badge (225.34 KB, image/png)
2021-04-26 17:13 UTC, Martin Bukatovic
no flags Details
screenshot #2: storage class encryption feature with the badge (212.18 KB, image/png)
2021-04-26 17:14 UTC, Martin Bukatovic
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8822 0 None open Bug 1953703: Enable tech preview badge for arbiter 2021-04-29 04:45:22 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:04:20 UTC

Description Martin Bukatovic 2021-04-26 17:09:39 UTC
Description of problem
======================

Tech preview badge is not used in consistent way:

- arbiter stretch cluster (see KNIP-1316) doesn't have tech preview badge
- storage class encryption (see KNIP-1543) has the tech preview badge

This could increase customer confustion about state of particular optional
OCS features.

Version-Release number of selected component
============================================

OCP4.7.0-0.nightly-2021-04-25-102429
LSO4.7.0-202104090228.p0
OCS4.7.0-360.ci(4.7.0-rc6)

How reproducible
================

100%

Steps to Reproduce
==================

1. Deploy OCP cluster
2. Install OCS and LSO operators
3. Use "Create Storage Cluster" wizard in OCP Console to start setup of Storage
   Cluster in "Internal - Attached devices" mode.
4. Go through the wizard as usual, creating local volume set from devices on
   all worker nodes and during "Storage and Nodes" step, check "Enable arbiter"
   option (screenshot 1)
5. During "Configure" step, click on "Enable encryption" and see "Storage class
   encryption" option (screenshot 2).

Actual results
==============

Feature from step #4 (arbiter) is not marked as tech preview, while the feature
from step #5 ("storage class encryption") is.

Expected results
================

Either all OCS tech preview features should be flagged with "tech preview"
badge, or the tech preview badge should not be used for OCS features.

Additional info
===============

Until I accidentally run into the tech preview badge for "storage class
encryption", I wasn't aware that such badge exists and that we use it for
some OCS features.

Comment 1 Martin Bukatovic 2021-04-26 17:13:24 UTC
Created attachment 1775653 [details]
screenshot #1: artiber feature without the badge

Comment 2 Martin Bukatovic 2021-04-26 17:14:16 UTC
Created attachment 1775654 [details]
screenshot #2: storage class encryption feature with the badge

Comment 8 errata-xmlrpc 2021-07-27 23:04:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.